---
title: "Evidence Request"
url: "https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e/operations/evidenceRequest"
---

> Full API specification: https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e.md

# Evidence Request

`POST` `/bpm/newbusiness/v1/evidence-request`

Operation ID: `evidenceRequest`

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Case Created
- `400` - Bad request
- `401` - Authentication failed
- `403` - Access denied
- `500` - Server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia New Business API.
  version: 0.9.8
servers:
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /bpm/newbusiness/v1/evidence-request:
    post:
      x-internal: true
      tags:
        - New Business Transactions V1
      summary: Evidence Request
      operationId: evidenceRequest
      requestBody:
        description: Additional evidence requested from TPP to PG.
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/TppEvidenceRequest"
        required: true
      responses:
        "201":
          description: Case Created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SuccessResponse"
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationResponse"
        "401":
          description: Authentication failed
        "403":
          description: Access denied
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AccessDeniedResponse"
        "500":
          description: Server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerErrorResponse"
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    TppEvidenceRequest:
      type: object
      properties:
        TXLife:
          $ref: "#/components/schemas/TXLife"
        AppliesToPartyID:
          type: string
        ReqId:
          type: string
      required:
        - TXLife
    SuccessResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
          example: 201
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Request Submitted Successfully
    ValidationResponse:
      type: object
      properties:
        status:
          type: string
          example: FAILED
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Bad Request
        error:
          type: array
          items:
            type: string
            example: Mandatory attribute label missing
    AccessDeniedResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: "User is not authorized for the carrier : CarrierName_1"
    ServerErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Failed to process request
    TXLife:
      type: object
      properties:
        TXLifeRequest:
          $ref: "#/components/schemas/TXLifeRequest"
      required:
        - TXLifeRequest
    TXLifeRequest:
      type: object
      properties:
        TransRefGUID:
          type: string
        transExeDate:
          type: string
        transExeTime:
          type: string
        OLifE:
          $ref: "#/components/schemas/OLifE"
      required:
        - TransRefGUID
        - OLifE
    OLifE:
      type: object
      properties:
        Holding:
          $ref: "#/components/schemas/Holding"
        Party:
          $ref: "#/components/schemas/EvidenceParty"
        Relation:
          $ref: "#/components/schemas/Relation"
    Holding:
      type: object
      properties:
        attribute_id:
          type: string
        Policy:
          $ref: "#/components/schemas/EvidencePolicy"
      required:
        - Policy
    EvidenceParty:
      type: object
      properties:
        PartyTypeCode:
          type: string
        GovtID:
          type: string
        GovtIDTC:
          type: string
        Person:
          $ref: "#/components/schemas/EvidencePerson"
        Address:
          $ref: "#/components/schemas/EvidenceAddress"
    Relation:
      type: object
      properties:
        OriginatingObjectType:
          type: string
        RelatedObjectType:
          type: string
        RelationRoleCode:
          type: string
        BirthDate:
          type: string
    EvidencePolicy:
      type: object
      properties:
        CarrierCode:
          type: string
        ApplicationInfo:
          $ref: "#/components/schemas/ApplicationInfo"
        RequirementInfo:
          $ref: "#/components/schemas/RequirementInfo"
    EvidencePerson:
      type: object
      properties:
        FirstName:
          type: string
        LastName:
          type: string
        Gender:
          type: string
          description: "Allowed values: M, F"
        BirthDate:
          type: string
    EvidenceAddress:
      type: object
      properties:
        Zip:
          type: string
    ApplicationInfo:
      type: object
      properties:
        TrackingID:
          type: string
        HOAppFormNumber:
          type: string
      required:
        - HOAppFormNumber
    RequirementInfo:
      type: object
      properties:
        attribute_id:
          type: string
        attribute_AppliesToPartyID:
          type: string
        ReqCode:
          type: string
        RequirementInfoUniqueID:
          type: string
        RequirementDetails:
          type: string
      required:
        - RequirementDetails
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
